<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/timed_io_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>09/13/82  timed_io_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>Function: performs I/O operations which must complete within a
<span id="L4" class="LineNr"> 4 </span>specified time interval.  The user should be familiar with the use of
<span id="L5" class="LineNr"> 5 </span>the subroutine iox_.
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>Each entry point documented here has an argument denoting the
<span id="L8" class="LineNr"> 8 </span>particular I/O switch involved in the operation, and an argument whose
<span id="L9" class="LineNr"> 9 </span>value is the duration of the period the caller is willing to wait for
<span id="L10" class="LineNr">10 </span>the completion of the I/O operation, in microseconds.
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>Entry points in timed_io_:
<span id="L14" class="LineNr">14 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>:Entry:  get_chars:  09/13/82 timed_io_$get_chars
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>Function: performs the function of iox_$get_chars; if the operation
<span id="L20" class="LineNr">20 </span>does not complete within the specified time interval, the error code
<span id="L21" class="LineNr">21 </span>error_table_$timeout is returned to the caller.
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>Syntax:
<span id="L25" class="LineNr">25 </span>declare timed_io_$get_chars entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L26" class="LineNr">26 </span>     fixed bin <span class="textRainbow_lv1_p0">(</span>21<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>21<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L27" class="LineNr">27 </span>call timed_io_$get_chars <span class="textRainbow_lv0_p0">(</span>iocb_ptr<span class="textRainbow_lv0_o0">,</span> timeout<span class="textRainbow_lv0_o0">,</span> buff_ptr<span class="textRainbow_lv0_o0">,</span> n<span class="textRainbow_lv0_o0">,</span> n_read<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>
<span id="L30" class="LineNr">30 </span>Arguments:
<span id="L31" class="LineNr">31 </span>iocb_ptr, buff_ptr, n, n_read, and code are as described in the iox_
<span id="L32" class="LineNr">32 </span>     documentation.
<span id="L33" class="LineNr">33 </span>timeout
<span id="L34" class="LineNr">34 </span>     is the period in microseconds during which the caller is willing
<span id="L35" class="LineNr">35 </span>     to wait for the completion of the get_chars call.
<span id="L36" class="LineNr">36 </span>
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>:Entry:  get_line:  09/13/82 timed_io_$get_line
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>Function: performs the function of iox_$get_line; if the operation
<span id="L41" class="LineNr">41 </span>does not complete within the specified time interval, the error code
<span id="L42" class="LineNr">42 </span>error_table_$timeout is returned to the caller.
<span id="L43" class="LineNr">43 </span>
<span id="L44" class="LineNr">44 </span>
<span id="L45" class="LineNr">45 </span>Syntax:
<span id="L46" class="LineNr">46 </span>declare timed_io_$get_line entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L47" class="LineNr">47 </span>     fixed bin <span class="textRainbow_lv1_p0">(</span>21<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>21<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L48" class="LineNr">48 </span>call timed_io_$get_line <span class="textRainbow_lv0_p0">(</span>iocb_ptr<span class="textRainbow_lv0_o0">,</span> timeout<span class="textRainbow_lv0_o0">,</span> buff_ptr<span class="textRainbow_lv0_o0">,</span> buff_len<span class="textRainbow_lv0_o0">,</span> n_read<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L49" class="LineNr">49 </span>
<span id="L50" class="LineNr">50 </span>
<span id="L51" class="LineNr">51 </span>Arguments:
<span id="L52" class="LineNr">52 </span>iocb_ptr, buff_ptr, buff_len, n_read, and code are as described in the iox_
<span id="L53" class="LineNr">53 </span>     documentation.
<span id="L54" class="LineNr">54 </span>timeout
<span id="L55" class="LineNr">55 </span>     is the period in microseconds during which the caller is willing
<span id="L56" class="LineNr">56 </span>     to wait for the completion of the get_line call.
<span id="L57" class="LineNr">57 </span>
<span id="L58" class="LineNr">58 </span>
<span id="L59" class="LineNr">59 </span>:Entry:  put_chars:  09/13/82 timed_io_$put_chars
<span id="L60" class="LineNr">60 </span>
<span id="L61" class="LineNr">61 </span>
<span id="L62" class="LineNr">62 </span>Function: performs the function of iox_$put_chars; if the operation
<span id="L63" class="LineNr">63 </span>does not complete within the specified time interval, the error code
<span id="L64" class="LineNr">64 </span>error_table_$timeout is returned to the caller.
<span id="L65" class="LineNr">65 </span>
<span id="L66" class="LineNr">66 </span>
<span id="L67" class="LineNr">67 </span>Syntax:
<span id="L68" class="LineNr">68 </span>declare timed_io_$put_chars entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L69" class="LineNr">69 </span>     fixed bin <span class="textRainbow_lv1_p0">(</span>21<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>21<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L70" class="LineNr">70 </span>call timed_io_$put_chars <span class="textRainbow_lv0_p0">(</span>iocb_ptr<span class="textRainbow_lv0_o0">,</span> timeout<span class="textRainbow_lv0_o0">,</span> buff_ptr<span class="textRainbow_lv0_o0">,</span> n<span class="textRainbow_lv0_o0">,</span> n_written<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L71" class="LineNr">71 </span>
<span id="L72" class="LineNr">72 </span>
<span id="L73" class="LineNr">73 </span>Arguments:
<span id="L74" class="LineNr">74 </span>iocb_ptr, buff_ptr, n, and code are as described in the iox_
<span id="L75" class="LineNr">75 </span>     documentation.
<span id="L76" class="LineNr">76 </span>timeout
<span id="L77" class="LineNr">77 </span>     is the period in microseconds during which the caller is willing
<span id="L78" class="LineNr">78 </span>     to wait for the completion of the put_chars call.
<span id="L79" class="LineNr">79 </span>n_written
<span id="L80" class="LineNr">80 </span>     is the number of characters actually written to the switch before
<span id="L81" class="LineNr">81 </span>     the timeout period expired.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
